Name:                 opencore-amr
Version:              0.1.3
%define major         0
%define libname       lib%{name}
%define libname_amrnb %{libname}nb%{major}
%define libname_amrwb %{libname}wb%{major}
Release:              4.1
License:              Apache-2.0
Summary:              Adaptive Multi-Rate (AMR) Speech Codec
Summary(de):          Adaptiver Multi-Rate (AMR) Sprachcodec
Url:                  http://opencore-amr.sourceforge.net/
Group:                System/Libraries
Source0:              http://downloads.sourceforge.net/project/opencore-amr/opencore-amr/opencore-amr-%{version}.tar.gz
Source1:              baselibs.conf
BuildRequires:        gcc-c++
BuildRequires:        glibc-devel
BuildRequires:        pkg-config
BuildRoot:            %{_tmppath}/%{name}-%{version}-root

%description
Library of OpenCORE Framework implementation of Adaptive Multi Rate
Narrowband and Wideband speech codec.

%description -l de
Bibliothek der OpenCORE Framework Implementierung des Adaptiven
Multi Rate Narrowband und Wideband Sprachcodecs.

%package -n %{libname_amrnb}
Summary:              Shared library part of opencore-amr
Summary(de):          Bibliotheken zu opencore-amr
Group:                System/Libraries
Provides:             %{libname} = %{version}

%description -n %{libname_amrnb}
Library of OpenCORE Framework implementation of Adaptive Multi Rate
Narrowband speech codec.

%description -n %{libname_amrnb} -l de
Bibliothek der OpenCORE Framework Implementierung des Adaptiven
Multi Rate Narrowband Sprachcodecs.

%package -n %{libname_amrwb}
Summary:              Shared library part of opencore-amr
Summary(de):          Bibliotheken zu opencore-amr
Group:                System/Libraries
Provides:             %{libname} = %{version}

%description -n %{libname_amrwb}
Library of OpenCORE Framework implementation of Adaptive Multi Rate
Wideband speech codec.

%description -n %{libname_amrwb} -l de
Bibliothek der OpenCORE Framework Implementierung des Adaptiven
Multi Rate Wideband Sprachcodecs.

%package -n %{libname}-devel
Summary:              Adaptive Multi-Rate (AMR) Speech Codec Developer Package
Summary(de):          Adaptiver Multi-Rate (AMR) Sprachcodec Entwicklerpaket
Group:                Development/Libraries/C and C++
Requires:             %{libname_amrnb} = %{version}
Requires:             %{libname_amrwb} = %{version}
Requires:             glibc-devel
Provides:             opencore-amr-devel = %{version}
Obsoletes:            opencore-amr-devel < %{version}

%description -n %{libname}-devel
Library of OpenCORE Framework implementation of Adaptive Multi Rate
Narrowband and Wideband speech codec.
Developer Package.

%description -n %{libname}-devel -l de
Bibliothek der OpenCORE Framework Implementierung des Adaptiven
Multi Rate Narrowband und Wideband Sprachcodecs.
Entwicklerpaket.

%prep
%setup -qn opencore-amr-%{version}

%build
%configure --disable-silent-rules --disable-static
make %{?_smp_mflags}

%install
%makeinstall
rm -f %{buildroot}/%{_libdir}/*.la

%post   -n %{libname_amrnb} -p /sbin/ldconfig
%postun -n %{libname_amrnb} -p /sbin/ldconfig

%post   -n %{libname_amrwb} -p /sbin/ldconfig
%postun -n %{libname_amrwb} -p /sbin/ldconfig


%files -n %{libname_amrnb}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/libopencore-amrnb.so.%{major}*

%files -n %{libname_amrwb}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/libopencore-amrwb.so.%{major}*

%files -n %{libname}-devel
%defattr (-, root, root)
%doc opencore/ChangeLog opencore/NOTICE opencore/README
%{_includedir}/opencore-amrnb
%{_includedir}/opencore-amrwb
%{_libdir}/libopencore-amr*.so
%{_libdir}/pkgconfig/opencore-amr*b.pc

%changelog
* Fri Mar 16 2012 toddrme2178@gmail.com
- Added 32bit compatibility library (needed by gstreamer-0_10-plugins-ugly-orig-addon-32bit, libavcodec53-32bit, libavdevice53-32bit, libavfilter2-32bit, and libavformat53-32bit)
- Cleaned up spec file formatting
* Wed Feb 29 2012 reddwarf@opensuse.org
- update to 0.1.3
* Sun Jun 27 2010 ludwig.nussel@gmx.de
- remove .a and .la files
- buildrequire pkg-config
* Sat Sep 19 2009 Manfred.Tremmel@iiv.de
- update to 0.1.2
* Fri Aug 21 2009 Manfred.Tremmel@iiv.de
- cleanups where rpmlint wasn't so happy
* Sat Jul 11 2009 Manfred.Tremmel@iiv.de
- first spec file for packman
